Debian Bug report logs - #637331
transition: GNOME 3

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Michael Biebl <biebl@debian.org>

Date: Wed, 10 Aug 2011 13:15:02 UTC

Severity: normal

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-gtk-gnome@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#637331; Package release.debian.org. (Wed, 10 Aug 2011 13:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
New Bug report received and forwarded. Copy sent to debian-gtk-gnome@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>. (Wed, 10 Aug 2011 13:15:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: transition: nautilus
Date: Wed, 10 Aug 2011 15:11:57 +0200
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: transition

Hi,

as next step of getting GNOME 3 into unstable, we'd like to request a
slot to start the nautilus 3 transition
The API of libnautilus-extension hasn't changed with version 3.0, but it
uses GTK 3 now which changes its ABI and a process can't be using GTK 2
and GTK 3 at the same time, as this will lead to an application abort [1].
As a result, we decided to change the binary package name to
libnautilus-extension1a.

Packages which are updated to libnautilus-extension 3.0 need to also be
updated to GTK 3 (GNOME 3).

I've filed corresponding bug reports for the affected packages:

brasero
deja-dup
diff-ext
eiciel
evince
file-roller
gksu
gnome-disk-utility
gnome-user-share
gtkhash
nautilus-actions
nautilus-dropbox
nautilus-filename-repairer
nautilus-image-converter
nautilus-open-terminal
nautilus-python
nautilus-sendto
nautilus-share
seahorse-plugins
totem
tracker

Those bugs are also user-tagged [2]. Some of those packages are already
updated in experimental. I will mark those bug reports accordingly.

- gnome-user-share uses libgnome-bluetooth 3.0, which would mean
  entangling those two transition, so I'd suggest temporarily disabling
  bluetooth support in gnome-user-share.
- totem 3.0 (from exp) requires a newer libgdata (involving a soname
  bump). We probably need to do this transition first. I'll file a
  separate bug for that.
- Updating nautilus-sendto to 3.0 (available in exp) will break the
  plugins shipped by empathy and gnome-bluetooth:
  gnome-bluetooth: /usr/lib/nautilus-sendto/plugins/libnstbluetooth.so
  nautilus-sendto-empathy: /usr/lib/nautilus-sendto/plugins/libnstempathy.so
  I'd prefer to temporarily break those plugins in nautilus-sendto to
  not entangle this transition with an empathy 3.0 or gnome-bluetooth
  3.0 update, but some of the pkg-gnome team would like to at least
  update empathy. So input from the release team on this matter would be
  appreciated.

I've also started collecting notes about this transition at [3].

Cheers,
Michael



[1] http://developer.gnome.org/gtk3/3.0/ch25s02.html#id1493823
[2]
http://bugs.debian.org/cgi-bin/pkgreport.cgi?users=pkg-gnome-maintainers@lists.alioth.debian.org;tag=nautilus3-transition
[3] http://whiteboard.debian.net/nautilus3.wb

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (200, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 3.0.0-1-486
Locale: LANG=de_DE.utf8, LC_CTYPE=de_DE.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#637331; Package release.debian.org. (Wed, 10 Aug 2011 13:39:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 10 Aug 2011 13:39:08 GMT) Full text and rfc822 format available.

Message #10 received at 637331@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 637331@bugs.debian.org
Cc: debian-gtk-gnome <debian-gtk-gnome@lists.debian.org>
Subject: Re: Bug#637331: transition: nautilus
Date: Wed, 10 Aug 2011 15:36:15 +0200
[Message part 1 (text/plain, inline)]
Am 10.08.2011 15:11, schrieb Michael Biebl:
> I've filed corresponding bug reports for the affected packages:
> 
> brasero
> deja-dup
> diff-ext
> eiciel
> evince
> file-roller
> gksu
> gnome-disk-utility
> gnome-user-share
> gtkhash
> nautilus-actions
> nautilus-dropbox
> nautilus-filename-repairer
> nautilus-image-converter
> nautilus-open-terminal
> nautilus-python
> nautilus-sendto
> nautilus-share
> seahorse-plugins
> totem
> tracker

I forgot the following two issues:
- Updating evince from 2.32 to 3.0 involves a soname bump of libevince3 →
libevince3-3. The only rdep of libevince3 is python-evince
(src:gnome-python-desktop).  python-evince has been deprecated, so there is no
update for GNOME 3 and we most likely need to drop it if we are going to update
evince.
That means rdeps on python-evince need to be updated too. Affected packages:
sugar-read-activity-0.84
sugar-read-activity-0.86

- Updating brasero from 2.30 to 3.0 involves a soname bump of libbrasero-media0
→ libbrasero-media3-1.
Affected packages:
goobox
gthumb
python-brasero (src:gnome-python-desktop)
rhythmbox-plugin-cdrecorder (src:rhythmbox)
sound-juicer

I currently don't see an alternative from doing these transitions in one go.

Michael
-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#637331; Package release.debian.org. (Thu, 11 Aug 2011 13:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 11 Aug 2011 13:03:10 GMT) Full text and rfc822 format available.

Message #15 received at 637331@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Michael Biebl <biebl@debian.org>, 637331@bugs.debian.org
Cc: debian-gtk-gnome@lists.debian.org
Subject: Re: Bug#637331: transition: nautilus
Date: Thu, 11 Aug 2011 14:58:53 +0200
Hi,

Le mercredi 10 août 2011 à 15:11 +0200, Michael Biebl a écrit : 
> as next step of getting GNOME 3 into unstable, we'd like to request a
> slot to start the nautilus 3 transition

Sorry for chiming in after being not-so-active for a while, but I’m
afraid this transition cannot be done, as things stand, independently
from the core GNOME components.

Nautilus 3.0 removes the code to automount filesystems, so it needs to
migrate together with gnome-settings-daemon. In turn, g-s-d needs to be
synchronized with (at least) glib2.0, gvfs, gnome-control-center, gdm3,
gnome-media, gnome-power-manager, gnome-screensaver, and gnome-session.

The alternative is to backport the necessary changes in g-s-d (which
sounds insane) or to re-add the necessary support in nautilus (which is
far from trivial).

Also, if we’re able to, I wonder whether it’s possible to migrate
gnome-panel first - otherwise it will have to go with the rest.

-- 
 .''`.      Josselin Mouette
: :' :
`. `'
  `-





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#637331; Package release.debian.org. (Thu, 11 Aug 2011 14:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 11 Aug 2011 14:45:06 GMT) Full text and rfc822 format available.

Message #20 received at 637331@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Michael Biebl <biebl@debian.org>, 637331@bugs.debian.org
Cc: debian-gtk-gnome <debian-gtk-gnome@lists.debian.org>
Subject: Re: Bug#637331: transition: nautilus
Date: Thu, 11 Aug 2011 16:42:31 +0200
On Wed, Aug 10, 2011 at 15:36:15 +0200, Michael Biebl wrote:

> - Updating evince from 2.32 to 3.0 involves a soname bump of libevince3 →
> libevince3-3. The only rdep of libevince3 is python-evince
> (src:gnome-python-desktop).  python-evince has been deprecated, so there is no
> update for GNOME 3 and we most likely need to drop it if we are going to update
> evince.
> That means rdeps on python-evince need to be updated too. Affected packages:
> sugar-read-activity-0.84
> sugar-read-activity-0.86
> 
Have bugs been filed against those sugar packages?

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#637331; Package release.debian.org. (Thu, 11 Aug 2011 18:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 11 Aug 2011 18:33:06 GMT) Full text and rfc822 format available.

Message #25 received at 637331@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Josselin Mouette <joss@debian.org>
Cc: 637331@bugs.debian.org, debian-gtk-gnome@lists.debian.org
Subject: Re: Bug#637331: transition: nautilus
Date: Thu, 11 Aug 2011 20:31:50 +0200
[Message part 1 (text/plain, inline)]
Am 11.08.2011 14:58, schrieb Josselin Mouette:
> Hi,
> 
> Le mercredi 10 août 2011 à 15:11 +0200, Michael Biebl a écrit : 
>> as next step of getting GNOME 3 into unstable, we'd like to request a
>> slot to start the nautilus 3 transition
> 
> Sorry for chiming in after being not-so-active for a while, but I’m
> afraid this transition cannot be done, as things stand, independently
> from the core GNOME components.
> 
> Nautilus 3.0 removes the code to automount filesystems, so it needs to
> migrate together with gnome-settings-daemon. In turn, g-s-d needs to be
> synchronized with (at least) glib2.0, gvfs, gnome-control-center, gdm3,
> gnome-media, gnome-power-manager, gnome-screensaver, and gnome-session.

I think it would be crazy tieing everything together.

> The alternative is to backport the necessary changes in g-s-d (which
> sounds insane) or to re-add the necessary support in nautilus (which is
> far from trivial).

I'd rather just have automount support broken temporarily, tbh.

Michael


-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#637331; Package release.debian.org. (Thu, 11 Aug 2011 18:33:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 11 Aug 2011 18:33:10 GMT) Full text and rfc822 format available.

Message #30 received at 637331@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Julien Cristau <jcristau@debian.org>, 637331@bugs.debian.org
Subject: Re: Bug#637331: transition: nautilus
Date: Thu, 11 Aug 2011 20:32:48 +0200
[Message part 1 (text/plain, inline)]
Am 11.08.2011 16:42, schrieb Julien Cristau:
> On Wed, Aug 10, 2011 at 15:36:15 +0200, Michael Biebl wrote:
> 
>> - Updating evince from 2.32 to 3.0 involves a soname bump of libevince3 →
>> libevince3-3. The only rdep of libevince3 is python-evince
>> (src:gnome-python-desktop).  python-evince has been deprecated, so there is no
>> update for GNOME 3 and we most likely need to drop it if we are going to update
>> evince.
>> That means rdeps on python-evince need to be updated too. Affected packages:
>> sugar-read-activity-0.84
>> sugar-read-activity-0.86
>>
> Have bugs been filed against those sugar packages?

Nope (not yet)

Michael

-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#637331; Package release.debian.org. (Fri, 12 Aug 2011 08:24:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 12 Aug 2011 08:24:03 GMT) Full text and rfc822 format available.

Message #35 received at 637331@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Michael Biebl <biebl@debian.org>
Cc: 637331@bugs.debian.org, debian-gtk-gnome@lists.debian.org
Subject: Re: Bug#637331: transition: nautilus
Date: Fri, 12 Aug 2011 10:22:07 +0200
Le jeudi 11 août 2011 à 20:31 +0200, Michael Biebl a écrit : 
> > The alternative is to backport the necessary changes in g-s-d (which
> > sounds insane) or to re-add the necessary support in nautilus (which is
> > far from trivial).
> 
> I'd rather just have automount support broken temporarily, tbh.

I don’t think there is any point in testing if we break such basic
functionality for a long period of time. But that’s for the RT to decide
anyway.

-- 
 .''`.      Josselin Mouette
: :' :
`. `'
  `-





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#637331; Package release.debian.org. (Sun, 14 Aug 2011 21:48:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 14 Aug 2011 21:48:07 GMT) Full text and rfc822 format available.

Message #40 received at 637331@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Julien Cristau <jcristau@debian.org>
Cc: 637331@bugs.debian.org, debian-gtk-gnome <debian-gtk-gnome@lists.debian.org>
Subject: Re: Bug#637331: transition: nautilus
Date: Sun, 14 Aug 2011 23:44:33 +0200
[Message part 1 (text/plain, inline)]
Am 11.08.2011 16:42, schrieb Julien Cristau:
> On Wed, Aug 10, 2011 at 15:36:15 +0200, Michael Biebl wrote:
> 
>> - Updating evince from 2.32 to 3.0 involves a soname bump of libevince3 →
>> libevince3-3. The only rdep of libevince3 is python-evince
>> (src:gnome-python-desktop).  python-evince has been deprecated, so there is no
>> update for GNOME 3 and we most likely need to drop it if we are going to update
>> evince.
>> That means rdeps on python-evince need to be updated too. Affected packages:
>> sugar-read-activity-0.84
>> sugar-read-activity-0.86
>>
> Have bugs been filed against those sugar packages?

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=637823
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=637825

-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#637331; Package release.debian.org. (Mon, 15 Aug 2011 20:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 15 Aug 2011 20:33:03 GMT) Full text and rfc822 format available.

Message #45 received at 637331@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Michael Biebl <biebl@debian.org>, 637331@bugs.debian.org, debian-gtk-gnome@lists.debian.org
Subject: Re: Bug#637331: transition: nautilus
Date: Mon, 15 Aug 2011 22:26:04 +0200
On Fri, 12 Aug 2011, Josselin Mouette wrote:
> Le jeudi 11 août 2011 à 20:31 +0200, Michael Biebl a écrit : 
> > > The alternative is to backport the necessary changes in g-s-d (which
> > > sounds insane) or to re-add the necessary support in nautilus (which is
> > > far from trivial).
> > 
> > I'd rather just have automount support broken temporarily, tbh.
> 
> I don’t think there is any point in testing if we break such basic
> functionality for a long period of time. But that’s for the RT to decide
> anyway.

+1 That's not the kind of brokenness that we want in testing.

It's nice to be able to split transitions, but when it's not possible our
infrastructure should cope with large transitions.

With everything more or less working in experimental, what exactly do you
fear?

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Follow my Debian News ▶ http://RaphaelHertzog.com (English)
                      ▶ http://RaphaelHertzog.fr (Français)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#637331; Package release.debian.org. (Mon, 15 Aug 2011 21:18:43 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 15 Aug 2011 21:18:43 GMT) Full text and rfc822 format available.

Message #50 received at 637331@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Raphael Hertzog <hertzog@debian.org>, 637331@bugs.debian.org
Cc: debian-gtk-gnome <debian-gtk-gnome@lists.debian.org>
Subject: Re: Bug#637331: transition: nautilus
Date: Mon, 15 Aug 2011 23:06:58 +0200
[Message part 1 (text/plain, inline)]
Am 15.08.2011 22:26, schrieb Raphael Hertzog:
> On Fri, 12 Aug 2011, Josselin Mouette wrote:
>> Le jeudi 11 août 2011 à 20:31 +0200, Michael Biebl a écrit : 
>>>> The alternative is to backport the necessary changes in g-s-d (which
>>>> sounds insane) or to re-add the necessary support in nautilus (which is
>>>> far from trivial).
>>>
>>> I'd rather just have automount support broken temporarily, tbh.
>>
>> I don’t think there is any point in testing if we break such basic
>> functionality for a long period of time. But that’s for the RT to decide
>> anyway.
> 
> +1 That's not the kind of brokenness that we want in testing.

I would consider non-functioning automount for a (short) period of time as
acceptable compromise, but ymmv.

> It's nice to be able to split transitions, but when it's not possible our
> infrastructure should cope with large transitions.

So do you want to wait until this magically happens? When would that be?
Right now, transitions are quite a bit of manual work and the more transitions
are entangled the harder it gets.

> With everything more or less working in experimental, what exactly do you
> fear?

Not by far. See the comments about e.g. libpanel-applet. There is an awful lot
of work to be done to get everything into shape.

The nautilus transitions is already complex enough imho (involving a
mini-transition for evince, brasero, gnome-media, libgdata and possibly
gnome-bluetooth and nautilus-sendto).

Personally I'd be fine with dumping everything into unstable, but imho we could
have a transition which would last over several weeks or months and which
certainly would block other transitions.

That said, it's not really up to me to decide and I'll just wait now what the
release team wants us to do.

Cheers,
Michael
-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#637331; Package release.debian.org. (Tue, 16 Aug 2011 19:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 16 Aug 2011 19:42:03 GMT) Full text and rfc822 format available.

Message #55 received at 637331@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Michael Biebl <biebl@debian.org>
Cc: 637331@bugs.debian.org, debian-gtk-gnome <debian-gtk-gnome@lists.debian.org>
Subject: Re: Bug#637331: transition: nautilus
Date: Tue, 16 Aug 2011 21:39:54 +0200
Hi,

On Mon, 15 Aug 2011, Michael Biebl wrote:
> I would consider non-functioning automount for a (short) period of time as
> acceptable compromise, but ymmv.

The "short" only holds if the rest of GNOME 3 is ready as well, which you
seem to question yourself later on.

> > With everything more or less working in experimental, what exactly do you
> > fear?
> 
> Not by far. See the comments about e.g. libpanel-applet. There is an awful lot
> of work to be done to get everything into shape.

IMO it's easier to explain that we dropped some applets that have
not been updated by their upstream authors to match the latest
requirements than to explain that we broke auto-mounting.

On one side testing users know what needs to be done if they want to get
their applet back (ask upstream to update their applet), in the other
there's nothing they can do except switch to unstable/experimental.

(That said I'm not the one doing the coordination work so feel free
to ignore my opinion, I just wanted to explain the kind of trade-off
that are IMO more acceptable for a "usable testing")

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Follow my Debian News ▶ http://RaphaelHertzog.com (English)
                      ▶ http://RaphaelHertzog.fr (Français)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#637331; Package release.debian.org. (Wed, 12 Oct 2011 18:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 12 Oct 2011 18:39:03 GMT) Full text and rfc822 format available.

Message #60 received at 637331@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Michael Biebl <biebl@debian.org>, 637331@bugs.debian.org
Subject: Re: Bug#637331: transition: nautilus
Date: Wed, 12 Oct 2011 20:38:16 +0200
On Wed, Aug 10, 2011 at 15:11:57 +0200, Michael Biebl wrote:

> as next step of getting GNOME 3 into unstable, we'd like to request a
> slot to start the nautilus 3 transition

Should be ok to go ahead with this now, I think.  Let the fun begin.

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#637331; Package release.debian.org. (Wed, 12 Oct 2011 20:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 12 Oct 2011 20:54:03 GMT) Full text and rfc822 format available.

Message #65 received at 637331@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Michael Biebl <biebl@debian.org>, 637331@bugs.debian.org
Subject: Re: Bug#637331: transition: nautilus
Date: Wed, 12 Oct 2011 22:51:08 +0200
On Wed, Oct 12, 2011 at 20:38:16 +0200, Julien Cristau wrote:

> On Wed, Aug 10, 2011 at 15:11:57 +0200, Michael Biebl wrote:
> 
> > as next step of getting GNOME 3 into unstable, we'd like to request a
> > slot to start the nautilus 3 transition
> 
> Should be ok to go ahead with this now, I think.  Let the fun begin.
> 
And to be clear, this is the big g3 transition which is nautilus + panel
+ some other stuff (bluetooth, gnomekbd, gnome-media, something else?).

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#637331; Package release.debian.org. (Wed, 12 Oct 2011 21:42:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mehdi Dogguy <mehdi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 12 Oct 2011 21:42:13 GMT) Full text and rfc822 format available.

Message #70 received at 637331@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@debian.org>
To: Julien Cristau <jcristau@debian.org>, 637331@bugs.debian.org
Subject: Re: Bug#637331: transition: nautilus
Date: Wed, 12 Oct 2011 23:05:21 +0200
On 10/12/2011 10:51 PM, Julien Cristau wrote:
> On Wed, Oct 12, 2011 at 20:38:16 +0200, Julien Cristau wrote:
> 
>> On Wed, Aug 10, 2011 at 15:11:57 +0200, Michael Biebl wrote:
>>
>>> as next step of getting GNOME 3 into unstable, we'd like to request a
>>> slot to start the nautilus 3 transition
>>
>> Should be ok to go ahead with this now, I think.  Let the fun begin.
>>
> And to be clear, this is the big g3 transition which is nautilus + panel
> + some other stuff (bluetooth, gnomekbd, gnome-media, something else?).
> 

and fear!

-- 
Mehdi Dogguy مهدي الدڤي
http://dogguy.org/




Added tag(s) pending. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 13 Oct 2011 17:51:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#637331; Package release.debian.org. (Fri, 14 Oct 2011 06:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 14 Oct 2011 06:51:03 GMT) Full text and rfc822 format available.

Message #77 received at 637331@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Julien Cristau <jcristau@debian.org>, 637331@bugs.debian.org
Subject: Re: Bug#637331: transition: nautilus
Date: Fri, 14 Oct 2011 08:49:40 +0200
[Message part 1 (text/plain, inline)]
Am 12.10.2011 20:38, schrieb Julien Cristau:
> On Wed, Aug 10, 2011 at 15:11:57 +0200, Michael Biebl wrote:
> 
>> as next step of getting GNOME 3 into unstable, we'd like to request a
>> slot to start the nautilus 3 transition
> 
> Should be ok to go ahead with this now, I think.  Let the fun begin.

As requested on irc:

please schedule a binNMU for nautilus-share
with a dep-wait on libnautilus-extension-dev (>= 3.0.0)


Thanks,
Michael
-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#637331; Package release.debian.org. (Fri, 14 Oct 2011 17:57:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 14 Oct 2011 17:57:07 GMT) Full text and rfc822 format available.

Message #82 received at 637331@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Michael Biebl <biebl@debian.org>
Cc: 637331@bugs.debian.org
Subject: Re: Bug#637331: transition: nautilus
Date: Fri, 14 Oct 2011 19:55:53 +0200
On Fri, Oct 14, 2011 at 08:49:40 +0200, Michael Biebl wrote:

> Am 12.10.2011 20:38, schrieb Julien Cristau:
> > On Wed, Aug 10, 2011 at 15:11:57 +0200, Michael Biebl wrote:
> > 
> >> as next step of getting GNOME 3 into unstable, we'd like to request a
> >> slot to start the nautilus 3 transition
> > 
> > Should be ok to go ahead with this now, I think.  Let the fun begin.
> 
> As requested on irc:
> 
> please schedule a binNMU for nautilus-share
> with a dep-wait on libnautilus-extension-dev (>= 3.0.0)
> 
Done.

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#637331; Package release.debian.org. (Mon, 17 Oct 2011 17:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 17 Oct 2011 17:09:03 GMT) Full text and rfc822 format available.

Message #87 received at 637331@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Julien Cristau <jcristau@debian.org>, 637331@bugs.debian.org
Subject: Re: Bug#637331: transition: nautilus
Date: Mon, 17 Oct 2011 19:06:26 +0200
[Message part 1 (text/plain, inline)]
Am 12.10.2011 20:38, schrieb Julien Cristau:
> On Wed, Aug 10, 2011 at 15:11:57 +0200, Michael Biebl wrote:
> 
>> as next step of getting GNOME 3 into unstable, we'd like to request a
>> slot to start the nautilus 3 transition
> 
> Should be ok to go ahead with this now, I think.  Let the fun begin.

Here is a first round of removal requests from testing for packages involved
in the libpanel-applets transition:

gnome-main-menu #638094
orca #638112 (will be updated in GNOME 3.2 to work without libgail-module)
accerciser #638112 (will be update in GNOME 3.2 to work without libgail-module)

Cheers,
Michael

-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Changed Bug title to 'transition: GNOME 3' from 'transition: nautilus' Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Fri, 21 Oct 2011 15:00:15 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#637331; Package release.debian.org. (Fri, 21 Oct 2011 20:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 21 Oct 2011 20:15:05 GMT) Full text and rfc822 format available.

Message #94 received at 637331@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Michael Biebl <biebl@debian.org>
Cc: 637331@bugs.debian.org
Subject: Re: Bug#637331: transition: GNOME 3
Date: Fri, 21 Oct 2011 22:10:27 +0200
[please keep sending mail to the bug, not the list directly.]

On Fri, Oct 21, 2011 at 16:59:28 +0200, Michael Biebl wrote:

> Since python-gnomeapplet has been dropped, we should possibly update the
> transition tracker to also track those packages.
> 
Not really sure that belongs in the tracker (or how to add them other
than listing them explicitly as affected), but for the record those
packages are:

dockbarx
glipper
mboxcheck-applet
ontv
ows
panflute
revelation
service-discovery-applet
timer-applet
webboard

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#637331; Package release.debian.org. (Sun, 23 Oct 2011 13:45:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 23 Oct 2011 13:45:10 GMT) Full text and rfc822 format available.

Message #99 received at 637331@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Michael Biebl <biebl@debian.org>, 637331@bugs.debian.org
Cc: Julien Cristau <jcristau@debian.org>
Subject: Re: Bug#637331: transition: nautilus
Date: Sun, 23 Oct 2011 15:40:18 +0200
Hi,

On Mon, 17 Oct 2011, Michael Biebl wrote:
> Here is a first round of removal requests from testing for packages involved
> in the libpanel-applets transition:
> 
> gnome-main-menu #638094
> orca #638112 (will be updated in GNOME 3.2 to work without libgail-module)
> accerciser #638112 (will be update in GNOME 3.2 to work without libgail-module)

Please remove indicator-applet (#638113) from testing as well. Ubuntu
dropped the package from Oneiric, there's a port somewhat in progress but
it's not working at all currently.

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Pre-order a copy of the Debian Administrator's Handbook and help
liberate it: http://debian-handbook.info/go/ulule-rh/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#637331; Package release.debian.org. (Mon, 24 Oct 2011 00:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 24 Oct 2011 00:51:03 GMT) Full text and rfc822 format available.

Message #104 received at 637331@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 637331@bugs.debian.org
Subject: Re: Bug#637331: transition: nautilus
Date: Mon, 24 Oct 2011 02:48:23 +0200
[Message part 1 (text/plain, inline)]
Am 17.10.2011 19:06, schrieb Michael Biebl:
> Am 12.10.2011 20:38, schrieb Julien Cristau:
>> On Wed, Aug 10, 2011 at 15:11:57 +0200, Michael Biebl wrote:
>> Should be ok to go ahead with this now, I think.  Let the fun begin.
> 
> Here is a first round of removal requests from testing for packages involved
> in the libpanel-applets transition:

groundcontrol looks active upstream and their bzr branch has a port to
GI from a cursory glance. Packaging a bzr snapshot based on GI is a bit
too much for my taste for a NMU, so I'd prefer if groundcontrol was
removed from testing and the upload made by the maintainer.

Cheers,
Michael


-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#637331; Package release.debian.org. (Sun, 06 Nov 2011 19:21:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 06 Nov 2011 19:21:07 GMT) Full text and rfc822 format available.

Message #109 received at 637331@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Antonio Terceiro <terceiro@debian.org>
Cc: 637331@bugs.debian.org
Subject: Re: Accepted ruby-gnome2 1.0.3-1 (source all amd64)
Date: Sun, 6 Nov 2011 20:16:13 +0100
On Sun, Nov  6, 2011 at 15:48:46 +0000, Antonio Terceiro wrote:

>  ruby-gnome2 (1.0.3-1) unstable; urgency=low
>  .
>    [ Antonio Terceiro ]
>    * New upstream release (Closes: #642024)
>    * Build-depend on libjpeg-dev instead of libjpeg62-dev (Closes: #644804)
>    * Drop Debian-only patch that was breaking stuff (Closes: #639398)
>    * Remove debian/source/options with single-debian-patch
>  .
>    [ Olivier Sallou ]
>    * Do not uncompress examples (Closes: #593325)

Hrm.  So with this apparently highly non-urgent upload, you've just
reset the counter for the big gnome 3 transition, which needs
ruby-gnome2 to go in first (for the panel-applet binding removal).

Not really amused.

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#637331; Package release.debian.org. (Mon, 07 Nov 2011 17:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antonio Terceiro <terceiro@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 07 Nov 2011 17:27:03 GMT) Full text and rfc822 format available.

Message #114 received at 637331@bugs.debian.org (full text, mbox):

From: Antonio Terceiro <terceiro@debian.org>
To: Julien Cristau <jcristau@debian.org>
Cc: 637331@bugs.debian.org
Subject: Re: Accepted ruby-gnome2 1.0.3-1 (source all amd64)
Date: Mon, 7 Nov 2011 15:21:37 -0200
[Message part 1 (text/plain, inline)]
Hi,

Julien Cristau escreveu isso aí:
> On Sun, Nov  6, 2011 at 15:48:46 +0000, Antonio Terceiro wrote:
> 
> >  ruby-gnome2 (1.0.3-1) unstable; urgency=low
> >  .
> >    [ Antonio Terceiro ]
> >    * New upstream release (Closes: #642024)
> >    * Build-depend on libjpeg-dev instead of libjpeg62-dev (Closes: #644804)
> >    * Drop Debian-only patch that was breaking stuff (Closes: #639398)
> >    * Remove debian/source/options with single-debian-patch
> >  .
> >    [ Olivier Sallou ]
> >    * Do not uncompress examples (Closes: #593325)
> 
> Hrm.  So with this apparently highly non-urgent upload, you've just
> reset the counter for the big gnome 3 transition, which needs
> ruby-gnome2 to go in first (for the panel-applet binding removal).

I am very sorry to disturb the GNOME 3 transition.

I was assuming that ruby-gnome2 was still being blocked by sshmenu-gnome and
screenruler anyway so that this upload would not affect the transition to
testing. But they were removed from testing two days ago without any
communication with the ruby-gnome2 maintainers, so how was I supposed to known
that the ruby-gnome2 version that was already on in sid was now ready to enter
testing?

Moreover, http://release.debian.org/transitions/html/gnome3.html does not list
ruby-gnome2 at all. Starting from that page, how do I reach the conclusion that
ruby-gnome2 is involved in the GNOME 3 transition?

I was wondering, is there a place where I can check "is it ok to upload
${package} now?"? Is there any machine-parseable data source that can be
processed to provide a yes/no response for this question?

Cheers,

-- 
Antonio Terceiro <terceiro@debian.org>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#637331; Package release.debian.org. (Mon, 07 Nov 2011 18:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 07 Nov 2011 18:06:03 GMT) Full text and rfc822 format available.

Message #119 received at 637331@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Antonio Terceiro <terceiro@debian.org>
Cc: 637331@bugs.debian.org
Subject: Re: Accepted ruby-gnome2 1.0.3-1 (source all amd64)
Date: Mon, 7 Nov 2011 19:03:28 +0100
On Mon, Nov  7, 2011 at 15:21:37 -0200, Antonio Terceiro wrote:

> I was assuming that ruby-gnome2 was still being blocked by sshmenu-gnome and
> screenruler anyway so that this upload would not affect the transition to
> testing. But they were removed from testing two days ago without any

The thing to do in that case is to fix the issue with sshmenu-gnome and
screenruler, not upload a new version.

> communication with the ruby-gnome2 maintainers, so how was I supposed to known
> that the ruby-gnome2 version that was already on in sid was now ready to enter
> testing?
> 
> Moreover, http://release.debian.org/transitions/html/gnome3.html does not list
> ruby-gnome2 at all. Starting from that page, how do I reach the conclusion that
> ruby-gnome2 is involved in the GNOME 3 transition?
> 
That page is useful for knowing what packages need a rebuild in sid for
the transition, not a whole lot beyond that.

> I was wondering, is there a place where I can check "is it ok to upload
> ${package} now?"? Is there any machine-parseable data source that can be
> processed to provide a yes/no response for this question?
> 
If a package has a different version in sid and testing, and the reason
it's not in sync is not a RC bug in said package, then it's probably not
ok to upload.  So grep-excuses, essentially.

Cheers,
Julien




Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Tue, 08 Nov 2011 22:42:06 GMT) Full text and rfc822 format available.

Notification sent to Michael Biebl <biebl@debian.org>:
Bug acknowledged by developer. (Tue, 08 Nov 2011 22:42:06 GMT) Full text and rfc822 format available.

Message #124 received at 637331-done@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Michael Biebl <biebl@debian.org>, 637331-done@bugs.debian.org
Subject: Re: Bug#637331: transition: nautilus
Date: Tue, 8 Nov 2011 23:40:03 +0100
On Wed, Aug 10, 2011 at 15:11:57 +0200, Michael Biebl wrote:

> as next step of getting GNOME 3 into unstable, we'd like to request a
> slot to start the nautilus 3 transition

This ended up being more than just nautilus 3, and libpanel-applet2-0 is
still in testing pending sensors-applet's transition, but I think it's
fair to call this done now.  Thanks for your work!

Cheers,
Julien




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 07 Dec 2011 07:35:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 19:11:02 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.